// A0103 Wykorzystanie przycisków
// przerzutnik RS

  void setup() {
  // podciągamy wejścia 0, 1
  // konfigurujemy pin 11 jako wyjście
  pinMode(0, INPUT_PULLUP);
  pinMode(1, INPUT_PULLUP);
  pinMode(11, OUTPUT);
  }
  void loop() {
  if (digitalRead(0) == LOW) digitalWrite(11, HIGH);
  if (digitalRead(1) == LOW) digitalWrite(11, LOW);
  }



/*
  void setup() {
  pinMode(0, INPUT_PULLUP);
  pinMode(1, INPUT_PULLUP);
  pinMode(11, OUTPUT);
  // jednorazowo skonfiguruj i ustaw szybkość portu
  Serial.begin(9600);
  }
  void loop() {
  if (digitalRead(0) == LOW) digitalWrite(11, HIGH);
  if (digitalRead(1) == LOW) digitalWrite(11, LOW);
  Serial.println (digitalRead(11)); // wyślij
  delay(300);      // opóźnienie 300ms
  }
*/

/*
void setup() {
  pinMode(A4, INPUT_PULLUP);
  pinMode(A5, INPUT_PULLUP);
  pinMode(11, OUTPUT);
  // jednorazowo skonfiguruj i ustaw szybkość portu
  Serial.begin(9600);
}
void loop() {
  if (digitalRead(A4) == LOW) digitalWrite(11, HIGH);
  if (digitalRead(A5) == LOW) digitalWrite(11, LOW);
  Serial.println (digitalRead(11)); // wyślij
  delay(300);      // opóźnienie 300ms
}
*/

/* wersja z dyrektywą preprocesora  #define
#define pinWyjsciowy 11
#define pinWeS1 A4
#define pinWeS2 A5

void setup() {
  pinMode(pinWeS1, INPUT_PULLUP);
  pinMode(pinWeS2, INPUT_PULLUP);
  pinMode(pinWyjsciowy, OUTPUT);
  // jednorazowo skonfiguruj i ustaw szybkość portu
  Serial.begin(9600);
}
void loop() {
  if (digitalRead(pinWeS1) == LOW) digitalWrite(pinWyjsciowy, HIGH);
  if (digitalRead(pinWeS2) == LOW) digitalWrite(pinWyjsciowy, LOW);
  Serial.println (digitalRead(pinWyjsciowy)); // wyślij
  delay(300);      // opóźnienie 300ms
}
*/

/* wersja z definiowaniem stałych
const int pinWyjsciowy = 11;
const int pinWeS1 = A4;
const int pinWeS2 = A5;

void setup() {
  pinMode(pinWeS1, INPUT_PULLUP);
  pinMode(pinWeS2, INPUT_PULLUP);
  pinMode(pinWyjsciowy, OUTPUT);
  // jednorazowo skonfiguruj i ustaw szybkość portu
  Serial.begin(9600);
}
void loop() {
  if (digitalRead(pinWeS1) == LOW) digitalWrite(pinWyjsciowy, HIGH);
  if (digitalRead(pinWeS2) == LOW) digitalWrite(pinWyjsciowy, LOW);
  Serial.println (digitalRead(pinWyjsciowy)); // wyślij
  delay(300);      // opóźnienie 300ms
}
*/
